Htatchi 58 HELP!!!

HomeForumsGeneral DiscussionHtatchi 58 HELP!!!

This topic has 2 voices, contains 1 reply, and was last updated by avatar QuickMythril 1714 days ago.

Viewing 2 posts - 1 through 2 (of 2 total)
Author Posts
Author Posts
2012-03-29 at 02:34PM UTC #6544
avatar
DoubleA

Hi guys,

just wondering with the Hitatchi 58 not needing 3.0 does this mean i can burn the newest games and play them with no issues? :-?

2012-03-30 at 11:03AM UTC #6546
avatar
QuickMythril

i would still run them thru abgx360, as corrupted / modified / truncated games can still be detectable by microsoft. it just means you can play discs with topology data, or ap2.5 replay data, or blank sectors (like if you had a fable 3 disc from before they activated the ap2.5 challenges)

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.